package  pxds.iqiv.ioih.gxph

import android.app.NotificationManager
import android.content.BroadcastReceiver
import android.content.Context
import android.content.Intent
import com.test.basd.supercleanermax.R
import pxds.lmmd.zmwf.Egac
import pxds.lmmd.zmwf.Khko.string
import pxds.lmmd.zmwf.Wspd

class Fnmj : BroadcastReceiver() {

    private val TAG = R.string.ޑކޠޖމ_D.string()

    companion object {
        val action = R.string.ޢވޝޝސ_D.string()
    }

    override fun onReceive(context: Context?, intent: Intent?) {
        Egac.logDebug(TAG, R.string.ނކޥޗޣ_D.string((intent?.action).toString()))

        if (intent?.action == null) {
            Wspd.event(R.string.ދޢޟޞއ_D.string(), R.string.ޥފޤލޚ_D.string())
        }
        intent?.let {
            Wspd.event(R.string.ޠޣޛދޚ_D.string(), R.string.ޓޔޡނޔ_D.string())
            val notificationId = it.getIntExtra(R.string.ޓޅފހޡ_D.string(), -1)

            Egac.logDebug(TAG, R.string.ސޡމވބ_D.string((notificationId).toString(), (action).toString()))
            if (notificationId != -1 && it.action != R.string.ދފމޝޓ_D.string()) {
                val notificationManager = context?.getSystemService(Context.NOTIFICATION_SERVICE) as? NotificationManager
                notificationManager?.cancel(Ytdi.NOTIFICATION_TAG, notificationId)
            }
        }
    }
}
